"""Base class for parsed ones."""


class Parsed:
    """Something to be parsed.

    Parameters
    ----------
    buf: str
        Parsed buffer in hex format.
    """
    def __init__(self, buf):
        self._buf = buf
        self._pos = 0

    def next(self, length):
        """Return the next part of given length."""
        res = self._buf[self._pos:self._pos+length]
        self.pos += length
        return res

    def rest(self):
        """Return the rest of the buffer. Current position is not
        changed."""
        return self._buf[self._pos:]

    def get_pos(self):
        """Return the current position."""
        return self._pos

    def set_pos(self, pos):
        """Set position."""
        self._pos = pos

    pos = property(get_pos, set_pos, doc="Current position.")
