""" C37.118 (PMU) data parser.

This package can be used to develop Python applications that require
reading PMU or PDC data over a C37 protocol.

"""

from setuptools import setup
from espmu import __version__

DOCLINES = __doc__.split("\n")

AUTHORS = ['Information Trust Institute',
           'Engineering Center Energoservice']

INSTALL_REQUIRES = [
    'pythoncrc',
]

PACKAGES = [
    'espmu',
]

setup(
    name='espmu',

    version=__version__,
    description=DOCLINES[0],

    url='https://github.com/aleneus/espmu',
    long_description="\n".join(DOCLINES[2:]),

    keywords='development PMU Phasor',

    author='; '.join(AUTHORS),
    author_email='aleneus@gmail.com',

    license='MIT',

    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Intended Audience :: Science/Research',
        'Topic :: Scientific/Engineering :: Interface Engine/Protocol Translator',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Environment :: MacOS X',
        'Environment :: Win32 (MS Windows)',
        'Environment :: Console'
    ],

    packages=PACKAGES,
    install_requires=INSTALL_REQUIRES,
)
