import unittest
from espmu.parsed import Parsed


class TestParsed_next(unittest.TestCase):
    def test_empty(self):
        buf = Parsed("")
        self.assertEqual(buf.next(0), "")
        self.assertEqual(buf.next(1), "")

    def test_not_empty(self):
        buf = Parsed("abcdef")
        self.assertEqual(buf.next(0), "")
        self.assertEqual(buf.next(1), "a")
        self.assertEqual(buf.next(2), "bc")
        self.assertEqual(buf.next(2), "de")
        self.assertEqual(buf.next(5), "f")


class TestParsed_rest(unittest.TestCase):
    def test_empty(self):
        buf = Parsed("")
        self.assertEqual(buf.rest(), "")

    def test_not_empty(self):
        buf = Parsed("abcdef")
        buf.pos = 2
        self.assertEqual(buf.rest(), "cdef")
        self.assertEqual(buf.pos, 2)
