import unittest
from espmu.station import Station


class TestStation(unittest.TestCase):
    def test_empty(self):
        with self.assertRaises(ValueError):
            Station("")

    def test_somethig_correct(self):
        with open("test/testdata/station.txt") as buf:
            strhex = buf.read()

        station = Station(strhex)
        self.assertEqual(len(station.an_channels), 31)
        self.assertEqual(station.anlgType, "FLOAT")
        self.assertEqual(station.annmr, 31)
        self.assertEqual(len(station.anunits), 31)
        self.assertEqual(station.cfgcnt, 1)
        self.assertEqual(len(station.channels), 59)
        self.assertEqual(len(station.dg_channels), 16)
        self.assertEqual(station.dgnmr, 1)
        self.assertEqual(len(station.digunits), 1)
        self.assertEqual(station.fnom, 'HZ50')
        self.assertEqual(station.freqType, 'FLOAT')
        self.assertEqual(station.idcode_data, 1)
        self.assertEqual(len(station.ph_channels), 12)
        self.assertEqual(station.phnmr, 12)
        self.assertEqual(station.phsrFmt, 'RECT')
        self.assertEqual(station.phsrType, 'FLOAT')
        self.assertEqual(len(station.phunits), 12)
        self.assertEqual(station.stn, 'Energoservice   ')
        self.assertEqual(station.pos, 2300)
